ImaJson.JObject (Eclipse Amlen Javadoc Reference)

Package com.ibm.ima.plugin.util

## Enum ImaJson.JObject

- Object
- - Enum<ImaJson.JObject>
  - - com.ibm.ima.plugin.util.ImaJson.JObject

- All Implemented Interfaces:
    `Serializable`, `Comparable<ImaJson.JObject>`
  Enclosing class:
    ImaJson

      public static enum ImaJson.JObject
      extends Enum<ImaJson.JObject>

  JSON object entry type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `JsonArray` | JSON array, count is number of entries
    `JsonFalse` | JSON false, value is not set
    `JsonInteger` | A number with no decimal point.
    `JsonNull` | JSON null, value is not set
    `JsonNumber` | Number which is too big or has a fractional part
    `JsonObject` | JSON object, count is number of entries
    `JsonString` | JSON string, value is UTF-8
    `JsonTrue` | JSON true, value is not set

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ImaJson.JObject` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ImaJson.JObject[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JsonString

          public static final ImaJson.JObject JsonString

      JSON string, value is UTF-8

    - #### JsonInteger

          public static final ImaJson.JObject JsonInteger

      A number with no decimal point. The value is in count

    - #### JsonNumber

          public static final ImaJson.JObject JsonNumber

      Number which is too big or has a fractional part

    - #### JsonObject

          public static final ImaJson.JObject JsonObject

      JSON object, count is number of entries

    - #### JsonArray

          public static final ImaJson.JObject JsonArray

      JSON array, count is number of entries

    - #### JsonTrue

          public static final ImaJson.JObject JsonTrue

      JSON true, value is not set

    - #### JsonFalse

          public static final ImaJson.JObject JsonFalse

      JSON false, value is not set

    - #### JsonNull

          public static final ImaJson.JObject JsonNull

      JSON null, value is not set

  - ### Method Detail

    - #### values

          public static ImaJson.JObject[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImaJson.JObject c : ImaJson.JObject.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImaJson.JObject valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null